## opencpn-plugin-route 1.1.1

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      SaltyPaws aka. Walbert Schulpen
## Copyright:
## License:     wxWidgets License
##---------------------------------------------------------------------------

# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

PROJECT(route_pi)

SET(PACKAGE_NAME route_pi)
SET(VERBOSE_NAME Route)
SET(TITLE_NAME Route)
SET(CPACK_PACKAGE_CONTACT "SaltyPaws")

SET(VERSION_MAJOR "1")
SET(VERSION_MINOR "1")

#SET(CMAKE_BUILD_TYPE Debug)

# Definitions
add_definitions (
-D_FILE_OFFSET_BITS=64
-D_LARGEFILE_SOURCE
-DLIBUNRAR_BUILD
-DRARDLL
-DUNRAR
-DSILENT
)

INCLUDE("cmake/PluginConfigure.cmake")

SET(SRC_ROUTE
            src/route_pi.h
            src/route_pi.cpp
            src/icons.h
            src/icons.cpp
	    src/routegui.h
	    src/routegui.cpp
	    src/routegui_impl.cpp
	    src/routegui_impl.h
	    src/NavFunc.h
	    src/NavFunc.cpp
	    src/vincenty.h
	    src/vincenty.cpp
#	    src/georef.h
#	    src/georef.c
	    src/OpenCPN/ocpn_plugin.h
	)

SET(SRC_FROM_OCPN 	
	src/OpenCPN/cutil.h
	src/OpenCPN/cutil.cpp
	src/OpenCPN/georef.h
	src/OpenCPN/georef.cpp
	src/OpenCPN/gpxdocument.h
	src/OpenCPN/gpxdocument.cpp	    	
	)

INCLUDE_DIRECTORIES(
  src
  src/OpenCPN
)

IF(UNIX)
 INCLUDE("cmake/FindTinyXML.cmake")
 FIND_PACKAGE(TinyXML QUIET)
ENDIF(UNIX)

IF(TINYXML_FOUND)
 message (STATUS "Building with system tinyxml")
 INCLUDE_DIRECTORIES(${TINYXML_INCLUDE_DIR})
 ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_ROUTE} ${SRC_FROM_OCPN})
 TARGET_LINK_LIBRARIES(${PACKAGE_NAME} ${TINYXML_LIBRARIES})
ELSE(TINYXML_FOUND)
 message (STATUS "Building with embedded tinyxml")
 INCLUDE_DIRECTORIES(src/tinyxml/)
 SET(SRC_LTINYXML
            src/TinyXML/tinyxml.cpp
            src/TinyXML/tinyxmlparser.cpp
            src/TinyXML/tinyxmlerror.cpp
 )
 ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_ROUTE} ${SRC_FROM_OCPN} ${SRC_LTINYXML})
ENDIF(TINYXML_FOUND)
ADD_DEFINITIONS(-DTIXML_USE_STL)

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== debian/changelog ===
opencpn-plugin-route (1.1.1-0~mx17+2) mx; urgency=medium

  * Set wxwidgets3 versions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 13:25:20 -0700

opencpn-plugin-route (1.1.1-0~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 12:25:15 -0700

opencpn-plugin-route (1.1.1-0~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 12:06:51 -0700

opencpn-plugin-route (1.1.1-0~xenial1) xenial; urgency=low

  * Version 1.1.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 10:10:50 -0600

opencpn-plugin-route (1.1.0-0~precise1) precise; urgency=low

  * Version 1.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 10:08:48 -0600

opencpn-plugin-route (1.1.0-0~trusty1) trusty; urgency=low

  * Version 1.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 10:08:48 -0600

opencpn-plugin-route (1.1.0-0~vivid1) vivid; urgency=low

  * Version 1.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 10:08:48 -0600

opencpn-plugin-route (1.1.0-0~wily1) wily; urgency=low

  * Version 1.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 10:08:48 -0600

opencpn-plugin-route (1.1.0-0~xenial1) xenial; urgency=low

  * Version 1.1

 -- Pavel Kalian <pavel@kalian.cz>  Sat, 27 Feb 2016 10:08:48 -0600

opencpn-plugin-route (1.1.0-0~utopic1) utopic; urgency=low

  * Version 1.1

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:46:14 -0500

opencpn-plugin-route (1.0.0-0~lucid1) lucid; urgency=low

  * Version 1.0

 -- Pavel Kalian <pavel@kalian.cz>  Tue, 21 Apr 2015 17:03:07 -0500

opencpn-plugin-route (1.0.0-0~precise1) precise; urgency=low

  * Version 1.0

 -- Pavel Kalian <pavel@kalian.cz>  Tue, 21 Apr 2015 17:03:07 -0500

opencpn-plugin-route (1.0.0-0~trusty1) trusty; urgency=low

  * Version 1.0

 -- Pavel Kalian <pavel@kalian.cz>  Tue, 21 Apr 2015 17:03:07 -0500

opencpn-plugin-route (1.0.0-0~utopic1) utopic; urgency=low

  * Version 1.0

 -- Pavel Kalian <pavel@kalian.cz>  Tue, 21 Apr 2015 17:03:07 -0500

opencpn-plugin-route (1.0.0-0~vivid1) vivid; urgency=low

  * Version 1.0

 -- Pavel Kalian <pavel@kalian.cz>  Tue, 21 Apr 2015 17:03:07 -0500

=== debian/control ===
Source: opencpn-plugin-route
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Pavel Kalian <pavel@kalian.cz>
Build-Depends: debhelper (>= 10), cmake, cdbs, libgtk2.0-dev, gettext, gpsd, gpsd-clients, libgps-dev, 
	wx-common (>= 3.0.2), libwxgtk3.0-dev (>= 3.0.2), libglu1-mesa-dev, libgtk2.0-dev, 
	wx3.0-headers (>= 3.0.2), libbz2-dev, libtinyxml-dev, libsdl1.2debian, libportaudio2, portaudio19-dev
Standards-Version: 3.9.3
Homepage: http://www.opencpn.org
#Vcs-Git: git://git.debian.org/collab-maint/opencpn.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencpn.git;a=summary

Package: opencpn-plugin-route
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wx3.0-i18n (>= 3.0.2), opencpn (>= 4.1.0)
Description: Plugin for OpenCPN
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
